Page MenuHomeFreeBSD

developers-handbook/kerneldebug: Document KASAN and KMSAN
ClosedPublic

Authored by markj on Jul 13 2021, 9:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jan 20, 9:22 PM
Unknown Object (File)
Sat, Jan 7, 8:27 AM
Unknown Object (File)
Jan 2 2023, 12:23 PM

Details

Summary

The latter has not yet been committed to FreeBSD, but will be soon, so
I'll just hold off on committing this change until then.

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

markj requested review of this revision.Jul 13 2021, 9:33 PM
markj created this revision.
imp added a subscriber: imp.

The form is correct.
Though we've been trying to do one sentence per line / one line per sentence.
This chapter hasn't been converted...

This revision is now accepted and ready to land.Jul 13 2021, 10:15 PM
mhorne added inline comments.
documentation/content/en/books/developers-handbook/kerneldebug/_index.adoc
831

This type of transient detail (implemented on platform X/Y) has a tendency of becoming stale in our docs. Is it sufficient to specify it in the manpage?

allanjude added a subscriber: allanjude.

Reviewed By: allanjude

@markj: If you don't have a doc but, you can also commit this with Approved By: allanjude

ceri added inline comments.
documentation/content/en/books/developers-handbook/kerneldebug/_index.adoc
830

I know this is the source of the name, but I'd prefer this were just "Sanitizer" in both cases.

830

Can we shift around to be consistent with KMSAN?

831

Agree with @mhorne here.

markj marked 4 inline comments as done.

Address feedback.

This revision now requires review to proceed.Jul 14 2021, 1:37 PM
This revision is now accepted and ready to land.Jul 14 2021, 9:08 PM